Skip to navigation

Get template

View as Markdown
Retrieves the definition of the specified template.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Query parameters

includestringOptional

A comma-separated list of additional template attributes to include in the response. Valid values are:

  • powerforms: Includes information about PowerForms.
  • tabs: Includes information about tabs.
  • documents: Includes information about documents.
  • favorite_template_status: : Includes the template favoritedByMe property in the response. Note: You can mark a template as a favorite only in eSignature v2.1.

Response

Successful response.
accessControlListBase64stringOptional
Reserved for Docusign.
allowCommentsstringOptional

When true, users can add comments to the documents in the envelope. For example, if a signer has a question about the text in the document, they can add a comment to the document.

allowMarkupstringOptional

When true, the Document Markup feature is enabled.

Note: To use this feature, Document Markup must be enabled at both the account and envelope levels. Only Admin users can change this setting at the account level.

allowReassignstringOptional

When true, the recipient can redirect an envelope to a more appropriate recipient.

allowViewHistorystringOptional

When true, recipients can view the history of the envelope.

anySignerstringOptional
Deprecated. This feature has been replaced by signing groups.
asynchronousstringOptional

When true, the envelope is queued for processing and the value of the status property is set to Processing. Additionally, GET status calls return Processing until completed.

Note: A transactionId is required for this call to work correctly. When the envelope is created, the status is Processing and an envelopeId is not returned in the response. To get the envelopeId, use a GET envelope query by using the transactionId or by checking the Connect notification.

attachmentsUristringOptional
Contains a URL for retrieving the attachments that are associated with the envelope.
authoritativeCopystringOptional

When true, marks all of the documents in the envelope as authoritative copies.

Note: You can override this value for a specific document. For example, you can set the authoritativeCopy property to true at the envelope level, but turn it off for a single document by setting the authoritativeCopy property for the document to false.

authoritativeCopyDefaultstringOptional

The default authoritativeCopy setting for documents in this envelope that do not have authoritativeCopy set. If this property is not set, each document defaults to the envelope’s authoritativeCopy.

autoMatchstringOptional

By default, templates that have been used within the last 60 days are included in auto-matching.

By explicitly setting autoMatch, you can permanently include or exclude the template in auto matching.

When true the template is included in auto-matching regardless of when it was last used.

When false the template is never included in auto-matching.

autoMatchSpecifiedByUserstringOptional

When true, the template has been explicitly included in or excluded from auto-matching. The default is false. This is a read-only property.

autoNavigationstringOptional

When true, autonavigation is set for the recipient.

brandIdstringOptional

The ID of the brand. This property is returned in the Templates:get response. It is not returned in the Templates:list response.

brandLockstringOptional

When true, the brandId for the envelope is locked and senders cannot change the brand used for the envelope.

burnDefaultTabDatastringOptional
certificateUristringOptional
The URI for retrieving certificate information.
completedDateTimestringOptional
Specifies the date and time this item was completed.
copyRecipientDatastringOptional
createdstringOptional
The UTC DateTime when the workspace user authorization was created.
createdDateTimestringOptional
The UTC DateTime when the item was created.
customFieldsobjectOptional
Contains information about custom fields.
customFieldsUristringOptional
The URI for retrieving custom fields.
declinedDateTimestringOptional

The date and time the recipient declined the document. This property is read-only.

deletedDateTimestringOptional
Reserved for Docusign.
deliveredDateTimestringOptional

The date and time that the envelope was delivered to the recipient. This property is read-only.

descriptionstringOptional

A sender-defined description of the line item.

disableResponsiveDocumentstringOptional

When true, responsive documents are disabled for the envelope.

documentBase64stringOptional

The document’s bytes. This field can be used to include a base64 version of the document bytes within an envelope definition instead of sending the document using a multi-part HTTP request. The maximum document size is smaller if this field is used due to the overhead of the base64 encoding.

documentslist of objectsOptional
A complex element that contains details about the documents associated with the envelope.
documentsCombinedUristringOptional
The URI for retrieving all of the documents associated with the envelope as a single PDF file.
documentsUristringOptional
The URI for retrieving all of the documents associated with the envelope as separate files.
emailBlurbstringOptional
This is the same as the email body. If the sender enters an email blurb, it is included in the email body for all envelope recipients.
emailSettingsobjectOptional

A complex element that allows the sender to override some envelope email setting information. This can be used to override the Reply To email address and name associated with the envelope and to override the BCC email addresses to which an envelope is sent.

When the emailSettings information is used for an envelope, it only applies to that envelope.

IMPORTANT: The emailSettings information is not returned in the GET for envelope status. Use GET /email_settings to return information about the emailSettings.

EmailSettings consists of:

  • replyEmailAddressOverride - The Reply To email used for the envelope. DocuSign will verify that a correct email format is used, but does not verify that the email is active. Maximum Length: 100 characters.
  • replyEmailNameOverride - The name associated with the Reply To email address. Maximum Length: 100 characters.
  • bccEmailAddresses - An array of up to five email addresses to which the envelope is sent to as a BCC email. Only users with canManageAccount setting set to true can use this option. DocuSign verifies that the email format is correct, but does not verify that the email is active. Using this overrides the BCC for Email Archive information setting for this envelope. Maximum Length: 100 characters. Example: if your account has BCC for Email Archive set up for the email address ‘archive@mycompany.com’ and you send an envelope using the BCC Email Override to send a BCC email to ‘salesarchive@mycompany.com’, then a copy of the envelope is only sent to the ‘salesarchive@mycompany.com’ email address.
emailSubjectstringOptional

The subject line of the email message that is sent to all recipients.

For information about adding merge field information to the email subject, see Template Email Subject Merge Fields.

Note: The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters.

enableWetSignstringOptional

When true, the signer is allowed to print the document and sign it on paper.

enforceSignerVisibilitystringOptional

When true, the option selected in the Document Visibility section in your account Sending Settings will be enforced for the envelope. See Fields and Properties for details about document visibility options. Setting enforceSignerVisibility to true also enables you to omit documents from the specified recipients’ envelopes by using the excludedDocuments array. Recipients that have an administrative role (Agent, Editor, or Intermediaries) or informational role (Certified Deliveries or Carbon Copies) can always see all of the documents in an envelope, unless they are specifically excluded by using the excludedDocuments setting when an envelope is sent. Documents that do not have tabs are always visible to all recipients, unless they are excluded by using the excludedDocuments setting.

Note: To use this functionality, document visibility must be enabled for the account. The document visibility feature is available in all developer accounts, but only in certain production account plans. Contact Docusign Support or your account manager to find out whether document visibility is available for your production account plan.

envelopeAttachmentslist of objectsOptional
An array of attachment objects that provide information about the attachments that are associated with the envelope.
envelopeClassificationstringOptional
envelopeCustomMetadataobjectOptional
envelopeDocumentslist of objectsOptional
An array containing information about the documents that are included in the envelope.
envelopeIdstringOptional

The envelope ID of an envelope that you want to use as the basis for the template. The state of the envelope can be draft, sent, or completed.

envelopeIdStampingstringOptional

When true, Envelope ID Stamping is enabled. After a document or attachment is stamped with an Envelope ID, the ID is seen by all recipients and becomes a permanent part of the document and cannot be removed.

envelopeLocationstringOptional
Reserved for Docusign.
envelopeMetadataobjectOptional
envelopeUristringOptional
The URI for retrieving the envelope or envelopes.
expireAfterstringOptional

Not used. Use the expirations property in the notification object instead.

expireDateTimestringOptional

Not used. Use the expirations property in the notification object instead.

expireEnabledstringOptional

Not used. Use the expirations property in the notification object instead.

externalEnvelopeIdstringOptional
May contain an external identifier for the envelope.
favoritedByMestringOptional
folderIdstringOptional
The ID of the folder.
folderIdslist of stringsOptional

Read-Only. An array of folderIds representing folders where the template exists, either directly for this user, or through the template sharing feature.

folderNamestringOptional
folderslist of objectsOptional
A list of folder objects.
hasAuthorizedSignatoryRecipientstringOptional
hasCommentsstringOptional

When true, indicates that users have added comments to the envelope.

hasFormDataChangedstringOptional

When true, indicates that the data collected through form fields on a document has changed.

hasWavFilestringOptional

When true, indicates that a .wav file used for voice authentication is included in the envelope.

holderstringOptional
Reserved for Docusign.
initialSentDateTimestringOptional
The date and time the envelope was initially sent.
is21CFRPart11stringOptional

When true, indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).

isAceGenTemplatestringOptional
isDocGenTemplatestringOptional
isDynamicEnvelopestringOptional

When true, indicates that the envelope is a dynamic envelope.

isSignatureProviderEnvelopestringOptional

When true, indicates that the envelope is a signature-provided envelope.

isTicketRelatedEnvelopestringOptional
lastModifiedstringOptional

The UTC date and time that the comment was last updated.

Note: This can only be done by the creator.

lastModifiedByobjectOptional
lastModifiedDateTimestringOptional
The date and time that the item was last modified.
lastUsedstringOptional
locationstringOptional
Reserved for Docusign.
lockInformationobjectOptional
messageLockstringOptional

When true, prevents senders from changing the contents of emailBlurb and emailSubject properties for the envelope.

Additionally, this prevents users from making changes to the contents of emailBlurb and emailSubject properties when correcting envelopes.

However, if the messageLock node is set to true and the emailSubject property is empty, senders and correctors are able to add a subject to the envelope.

namestringOptional
newPasswordstringOptional
The user's new password.
notificationobjectOptional
A complex element that specifies the notification settings for the envelope.
notificationUristringOptional
The URI for retrieving notifications.
ownerobjectOptional
pageCountstringOptional
An integer value specifying the number of document pages in the template.
passwordstringOptional

The password used to lock this eSignature template (provided in clear text). Template passwords protect against editing, sharing, copying, or downloading a template. You can set a password on any template you create.

passwordProtectedstringOptional
powerFormobjectOptional
Contains details about a PowerForm.
powerFormslist of objectsOptional
An array of PowerForm objects.
purgeCompletedDatestringOptional
The date that a purge was completed.
purgeRequestDatestringOptional
The date that a purge was requested.
purgeStatestringOptional

Shows the current purge state for the envelope. Valid values:

  • unpurged: There has been no successful request to purge documents.
  • documents_queued: The envelope documents have been added to the purge queue, but have not been purged.
  • documents_dequeued: The envelope documents have been taken out of the purge queue.
  • documents_purged: The envelope documents have been successfully purged.
  • documents_and_metadata_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged.
  • documents_and_metadata_purged: The envelope documents and metadata have been successfully purged.
  • documents_and_metadata_and_redact_queued: The envelope documents and metadata have been added to the purge queue, but have not yet been purged, nor has personal information been redacted.
  • documents_and_metadata_and_redact_purged: The envelope documents and metadata have been successfully purged, and personal information has been redacted.

Related topics

recipientsobjectOptional
Specifies the envelope recipients.
recipientsLockstringOptional

When true, prevents senders from changing, correcting, or deleting the recipient information for the envelope.

recipientsUristringOptional
Contains a URI for an endpoint that you can use to retrieve the recipients.
senderobjectOptional
sentDateTimestringOptional

The UTC DateTime when the envelope was sent. This property is read-only.

sharedstringOptional

When true, indicates the template is shared with the Everyone group, which includes all users on the account.

When false, the template is shared only with the groups you specify.

signerCanSignOnMobilestringOptional

When true, recipients can sign on a mobile device.

Note: Only Admin users can change this setting.

signingLocationstringOptional

Specifies the physical location where the signing takes place. It can have two enumeration values; InPerson and Online. The default value is Online.

statusstringOptional

Indicates the envelope status. Valid values are:

  • completed: The recipients have finished working with the envelope: the documents are signed and all required tabs are filled in.
  • created: The envelope is created as a draft. It can be modified and sent later.
  • declined: The envelope has been declined by the recipients.
  • delivered: The envelope has been delivered to the recipients.
  • sent: The envelope will be sent to the recipients after the envelope is created.
  • signed: The envelope has been signed by the recipients.
  • voided: The envelope is no longer valid and recipients cannot access or sign the envelope.
statusChangedDateTimestringOptional
The data and time that the status changed.
templateIdstringOptional
The unique identifier of the template. If this is not provided, DocuSign will generate a value.
templatesUristringOptional
The URI for retrieving the templates.
transactionIdstringOptional

Used to identify an envelope. The id is a sender-generated value and is valid in the DocuSign system for 7 days. It is recommended that a transaction ID is used for offline signing to ensure that an envelope is not sent multiple times. The transactionId property can be used determine an envelope’s status (i.e. was it created or not) in cases where the internet connection was lost before the envelope status was returned.

uristringOptional
A URI containing the user ID.
useDisclosurestringOptional

When true, the disclosure is shown to recipients in accordance with the account’s Electronic Record and Signature Disclosure frequency setting. When false, the Electronic Record and Signature Disclosure is not shown to any envelope recipients.

If the useDisclosure property is not set, then the account’s normal disclosure setting is used and the value of the useDisclosure property is not returned in responses when getting envelope information.

uSigStatestringOptional
voidedDateTimestringOptional
The date and time the envelope or template was voided.
voidedReasonstringOptional

The reason the envelope or template was voided.

Note: The string is truncated to the first 200 characters.

watermarkLanguagestringOptional
workflowobjectOptional
Describes the workflow for an envelope.

Errors

400
Bad Request Error